
/****************************************************************************/
/*                                                                          */
/*  XARXES DE COMPUTADORS I                                                 */
/*                                                                          */
/*  Practica 1: Sniffer                                                     */
/*                                                                          */
/*  Fichero cola.h: Incluye las estructuras de datos para el tratamiento    */
/*                  dinamico de la informacion de los diferentes filtros    */ 
/*                  y modos de visualizacion y almacenamiento.              */  
/*                                                                          */
/*  Realizado por: Francisco Jose Aguilar Celdran y Sergio Blanco Cuaresma  */
/*                                                                          */       
/****************************************************************************/

#ifndef COLA_H
#define COLA_H
  
   #define FILTRO_MAC 1
   #define FILTRO_IP 2
   #define FILTRO_PUERTOS 3

   #define CAMPOS_RED 1
   #define CAMPOS_IP 2
   #define CAMPOS_TCP 3
   #define CAMPOS_UDP 4
   #define CAMPOS_ICMP 5
   
   struct Tipo_Nodo
   {
      unsigned char *nodo;
      struct Tipo_Nodo *anterior;
   };
   typedef struct Tipo_Nodo Nodo;

   struct Tipo_Cola
   {
      Nodo *primero;
      Nodo *ultimo;
      Nodo *pdi;
   };       
   typedef struct Tipo_Cola Cola;   

   struct Tipo_Datos_Sniffer
   {
      Cola *Cola_Red;
      Cola *Cola_IP;
      Cola *Cola_TCP;
      Cola *Cola_UDP;
      Cola *Cola_ICMP;
   };
   typedef struct Tipo_Datos_Sniffer Datos_Sniffer;

#endif

